Loading...
Searching...
No Matches
MultiGroupFilter Class Reference

`#include <openvdb/points/IndexFilter.h>`

## Public Types

using | NameVector = std::vector<Name>
using | IndexVector = std::vector<AttributeSet::Descriptor::GroupIndex>
using | HandleVector = std::vector<GroupHandle>

## Public Member Functions

| MultiGroupFilter (const NameVector &include, const NameVector &exclude, const AttributeSet &attributeSet)
| MultiGroupFilter (const IndexVector &include, const IndexVector &exclude)
| MultiGroupFilter (const MultiGroupFilter &filter)
bool | initialized () const
index::State | state () const
template<typename LeafT>
void | reset (const LeafT &leaf)
template<typename IterT>
bool | valid (const IterT &iter) const

## Static Public Member Functions

template<typename LeafT>
static index::State | state (const LeafT &)

## Detailed Description

Index filtering on multiple group membership for inclusion and exclusion

Note
  include filters are applied first, then exclude filters

## Member Typedef Documentation

## HandleVector

using HandleVector = std::vector<GroupHandle>

## IndexVector

using IndexVector = std::vector<AttributeSet::Descriptor::GroupIndex>

## NameVector

using NameVector = std::vector<Name>

## Constructor & Destructor Documentation

## MultiGroupFilter() [1/3]

MultiGroupFilter | ( | const NameVector & | include,
|  | const NameVector & | exclude,
|  | const AttributeSet & | attributeSet )

inline

## MultiGroupFilter() [2/3]

MultiGroupFilter | ( | const IndexVector & | include,
|  | const IndexVector & | exclude )

inline

## MultiGroupFilter() [3/3]

MultiGroupFilter | ( | const MultiGroupFilter & | filter | ) |

inline

## Member Function Documentation

## initialized()

bool initialized | ( |  | ) | const

inline

## reset()

template<typename LeafT>

void reset | ( | const LeafT & | leaf | ) |

inline

## state() [1/2]

index::State state | ( |  | ) | const

inline

## state() [2/2]

template<typename LeafT>

index::State state | ( | const LeafT & |  | ) |

inline static

## valid()

template<typename IterT>

bool valid | ( | const IterT & | iter | ) | const

inline